Subject: bug#37428: Keyboard layout setting fails when no keyboard is attached

From: dario <[email-masked]>
Date: Thu, 19 Sep 2019 08:02:56 +0200

This looks like what I have, apart from the fact that I use exwm and
therefore have neither gnome nor xfce services.

I just noticed that I may have messed up the parens when I copy/pasted
into the mail; in my config, they are correct.

Best regards,

Dario

[email-masked] writes:

> This is my setting for that section:
>
>  (services (append (list
> 	    (service gnome-desktop-service-type)
>             (service xfce-desktop-service-type)
> 	    (set-xorg-configuration
> 	     (xorg-configuration             ;for Xorg
> 	      (keyboard-layout keyboard-layout))))
> 	    %desktop-services))
>
> I hope it is helpful.